package ai.huisuan.back.controller;

import ai.huisuan.back.model.LoginRequest;
import ai.huisuan.back.model.RegisterRequest;
import ai.huisuan.back.model.ResponseModel;
import ai.huisuan.back.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/v1/auth")
public class LoginController {

    @Autowired
    private LoginService loginService;

    @PostMapping("/login")
    public ResponseEntity<ResponseModel> login(@RequestBody LoginRequest loginRequest) {
        boolean success = loginService.login(loginRequest.getUsername(), loginRequest.getPassword(), loginRequest.getIp());
        if (success) {
            return ResponseEntity.ok(new ResponseModel("登录成功", 200));
        } else {
            return ResponseEntity.status(401).body(new ResponseModel("用户名或密码错误", 401));
        }
    }

    @PostMapping("/register")
    public ResponseEntity<ResponseModel> register(@RequestBody RegisterRequest registerRequest) {
        boolean success = loginService.registerUser(registerRequest.getUsername(), registerRequest.getPassword(), registerRequest.getPhone());
        if (success) {
            return ResponseEntity.ok(new ResponseModel("注册成功", 200));
        } else {
            return ResponseEntity.status(400).body(new ResponseModel("用户名已存在", 400));
        }
    }
}
